
function Begin() 
	DisplayTrace ( "Ardennes -- Dawn 16th December 1944");
	ChangeFormation ( 5,2 );
	SwitchWeather(1);
	Suicide(); 
end;


function HQ()
	if ( GetNUnitsInArea( 1, "HQ" ) <= 0 ) then 
		SetIGlobalVar( "temp.template00.objective.0", 1 ); 
		ObjectiveChanged(0, 1);
		RunScript( "RevealObjective1", 3000); 
		RunScript( "RevealObjective2", 6000); 
		RunScript( "RevealObjective3", 9000); 
	        QCmd( 3, 20, 9113,36388);
		QCmd( 3, 30, 10447,28265);
		QCmd( 3, 40, 14463,3007);
		ChangeFormation (20, 3);
		ChangeFormation (30, 3);
		ChangeFormation (40, 3);

		Suicide(); 
	end; 
end; 

function Crossroads()
	if ( GetNUnitsInArea( 1, "Crossroads" ) <= 0 ) then 
		SetIGlobalVar( "temp.template00.objective.1", 1 ); 
		ObjectiveChanged(1, 1);
		Suicide(); 
	end; 
end; 

function British()
	if ( GetNUnitsInArea( 1, "British" ) <= 0 ) then 
		SetIGlobalVar( "temp.template00.objective.2", 1 ); 
		ObjectiveChanged(2, 1);
		Suicide(); 
	end; 
end; 


function Artillery()
	if ( GetNUnitsInArea( 1, "Artillery" ) <= 0 ) then 
		SetIGlobalVar( "temp.template00.objective.3", 1 ); 
		ObjectiveChanged(3, 1);
		RunScript( "RevealObjective4", 2000); 
		Suicide(); 
	end; 
end; 


function Supply()
	if ( GetNUnitsInArea( 1, "Supply" ) <= 0 ) then 
		SetIGlobalVar( "temp.template00.objective.4", 1 ); 
		ObjectiveChanged(4, 1);
		Suicide(); 
	end; 
end; 


function Attack()
	if ( GetNUnitsInArea( 0, "HQ" ) >= 1 ) then 
		QCmd( 3, 10, 18901,13049);
		ChangeFormation (10, 3);
		Suicide(); 
	end; 
end; 


function ToWin()
	if ( ( GetIGlobalVar("temp.template00.objective.0", 0) * GetIGlobalVar("temp.template00.objective.1", 0) * GetIGlobalVar("temp.template00.objective.2", 0) * GetIGlobalVar("temp.template00.objective.3", 0) * GetIGlobalVar("temp.template00.objective.4", 0) ) == 1) then
		Win(0);
		Suicide();
	end;
end;

function ToLoose()
	if ( GetNUnitsInScriptGroup(2100, 0) <= 0) then
		DisplayTrace ( "You have lost all of your Panzers!");
		DisplayTrace ( "Your mssion has failed...");
		Loose(0);
	end;
end;


function RevealObjective0()
	ObjectiveChanged(0, 0);
	Suicide();
end;


function RevealObjective1()
	ObjectiveChanged(1, 0);
	Suicide();
end;


function RevealObjective2()
	ObjectiveChanged(2, 0);
	Suicide();
end;


function RevealObjective3()
	ObjectiveChanged(3, 0);
	Suicide();
end;

function RevealObjective4()
	ObjectiveChanged(4, 0);
	Suicide();
end;


function Init()
	RunScript( "Begin" , 8000);
	RunScript( "ToWin" , 2000);
	RunScript( "ToLoose" , 2000);
	RunScript( "HQ" , 2000);
	RunScript( "British" , 2000);
	RunScript( "Crossroads" , 2000);
	RunScript( "Artillery" , 2000);
	RunScript( "Supply" , 2000);
	RunScript( "Attack" , 2000);
	RunScript( "RevealObjective0", 4000); 
end;	
